Page MenuHomeFreeBSD

Add a new port multimeda/gstreamer1-qt5 (as slave of multimedia/gstreamer1-qt4)
ClosedPublic

Authored by tcberner on Sep 16 2016, 10:28 PM.

Details

Summary

The port for multimedia/gstreamer1-qt5 has existed in area51 for a while now,
and has been worked on by rakuco@ and myself.
It used the same distfile as multimedia/gstreamer1-qt4, but requires an additional patch over the qt4-based one to fix compilation in C++11 mode.

To bring this port now into the official ports-tree the following was done:

  • Add multimedia/gstreamer1-qt5 (obvously) as as a slaveport
  • Replace the two patches in multimedia/gstreamer1-qt4 obtained from OpenBSD by the git commit from upstream (we already had it like that in the qt5 one)
  • Import the C++11 (not strictly necessary for the qt4 one, but doesn't/shouldn't hurt)
  • Add proxy deps to make stage-qa happy
Test Plan

Tested in poudriere on 12-current (64) and 9.3 (32).

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner updated this revision to Diff 20395.Sep 16 2016, 10:28 PM
tcberner retitled this revision from to Add a new port multimeda/gstreamer1-qt5 (as slave of multimedia/gstreamer1-qt4).
tcberner updated this object.
tcberner edited the test plan for this revision. (Show Details)
tcberner added reviewers: rakuco, mat.
tcberner added a subscriber: adridg.
tcberner added inline comments.Sep 16 2016, 10:36 PM
multimedia/gstreamer1-qt5/Makefile
4 ↗(On Diff #20395)

I'm aware, that this PORTREVISION should probably be 0 -- however, as this port is already used by people who try or use our plasma5-repo, I'd rather not have the port version go backwards.

mat added inline comments.Sep 16 2016, 10:41 PM
multimedia/gstreamer1-qt4/Makefile
17 ↗(On Diff #20395)

I think this is wrong.

tcberner added inline comments.Sep 16 2016, 10:45 PM
multimedia/gstreamer1-qt4/Makefile
17 ↗(On Diff #20395)

Previously gstreamer1-qt4 had a conflict with gstreamer-qt4, now it does with gstreamer-qt${evaluates to 4}.

new # make -VCONFLICTS_INSTALL
gstreamer-qt4-*
old # make -VCONFLICTS_INSTALL
gstreamer-qt4-*

Am I missing something? -- yes, there is no gstreamer-qt5, so that conflict points to nirvana for the qt5 one. Is that the issue?

mat added inline comments.Sep 17 2016, 7:54 AM
multimedia/gstreamer1-qt4/Makefile
17 ↗(On Diff #20395)

Oh, ok, yes, did not see the 1 difference. I thought the qt4/qt5 ports were supposed to conflict each-other and that the qt4 was in conflict with itself 😅

rakuco accepted this revision.Sep 18 2016, 11:47 AM
rakuco edited edge metadata.
This revision is now accepted and ready to land.Sep 18 2016, 11:47 AM
This revision was automatically updated to reflect the committed changes.